View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18415Bug reportsOtherpublic2022-12-19 11:00
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.22.14 
Summary18415: Copy Survey: New Title shouldn't be mandatory
Description

When copying a survey, why New Title is mandatory?
If blank, it should copy the title from the source survey

Steps To Reproduce

Caught while reviewing 16187

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)LTS And Master
I will donate to the project if issue is resolvedNo
Browserany
Database type & versionn/a
Server OS (if known)Centos 6
Webserver software & version (if known)
PHP Version7.3

Relationships

related to 16187 closedgabrieljenik Cant Create Custom Survey ID (need proper error message) 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2022-10-13 15:01

developer   ~72235

If blank, it should copy the title from the source survey

:+1:

And put the new title as placeholder is good too
(with help text : default is current Survey name)

gabrieljenik

gabrieljenik

2022-11-08 19:49

manager   ~72647

Master PR: https://github.com/LimeSurvey/LimeSurvey/pull/2709

DenisChenu

DenisChenu

2022-11-15 17:31

developer   ~72746

See comments

gabrieljenik

gabrieljenik

2022-12-15 14:32

manager   ~73134

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=34149

LimeBot

LimeBot

2022-12-19 11:00

administrator   ~73178

Fixed in Release 5.5.0+221219

Related Changesets

LimeSurvey: master 6c9f25d8

2022-12-15 14:17:46

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18415: Copy Survey: New Title shouldn't be mandatory (#2709)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Affected Issues
18415
mod - application/controllers/SurveyAdministrationController.php Diff File
mod - application/views/surveyAdministration/tabCopy_view.php Diff File

Issue History

Date Modified Username Field Change
2022-10-13 14:58 gabrieljenik New Issue
2022-10-13 14:58 gabrieljenik Issue generated from: 16187
2022-10-13 14:58 gabrieljenik Relationship added related to 16187
2022-10-13 14:59 gabrieljenik Status new => confirmed
2022-10-13 15:01 DenisChenu Note Added: 72235
2022-10-13 15:01 DenisChenu Bug heat 0 => 2
2022-10-13 16:33 ollehar Priority none => normal
2022-11-03 20:30 gabrieljenik Assigned To => gabrieljenik
2022-11-03 20:30 gabrieljenik Status confirmed => assigned
2022-11-08 19:49 gabrieljenik Status assigned => ready for code review
2022-11-08 19:49 gabrieljenik Note Added: 72647
2022-11-08 19:49 gabrieljenik Bug heat 2 => 4
2022-11-15 13:27 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-11-15 17:31 DenisChenu Assigned To DenisChenu => gabrieljenik
2022-11-15 17:31 DenisChenu Note Added: 72746
2022-11-17 04:50 wordyjumping Bug heat 4 => 6
2022-11-17 08:45 DenisChenu Bug heat 6 => 4
2022-12-12 14:34 DenisChenu Status ready for code review => ready for testing
2022-12-13 14:29 gabrieljenik Assigned To gabrieljenik => ollehar
2022-12-13 14:29 gabrieljenik Status ready for testing => ready for merge
2022-12-15 14:32 gabrieljenik Changeset attached => LimeSurvey master 6c9f25d8
2022-12-15 14:32 gabrieljenik Note Added: 73134
2022-12-15 14:32 gabrieljenik Assigned To ollehar => gabrieljenik
2022-12-15 14:32 gabrieljenik Resolution open => fixed
2022-12-19 11:00 LimeBot Note Added: 73178
2022-12-19 11:00 LimeBot Status ready for merge => closed
2022-12-19 11:00 LimeBot Bug heat 4 => 6